summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRob Crittenden <rcritten@redhat.com>2008-02-28 11:37:06 -0500
committerRob Crittenden <rcritten@redhat.com>2008-02-28 11:37:06 -0500
commitcc3b9cddef0b097382e8c28930b9017e7ed91415 (patch)
tree88f8537c633586b5b8fe262cea9ee2c66decf8be
parent6b960c008a58bd004e95b2726806801a90bcbaf0 (diff)
downloadfreeipa-cc3b9cddef0b097382e8c28930b9017e7ed91415.tar.gz
freeipa-cc3b9cddef0b097382e8c28930b9017e7ed91415.tar.xz
freeipa-cc3b9cddef0b097382e8c28930b9017e7ed91415.zip
Add small script to start/stop all of the services that IPA requires in the
proper order. 435026
-rw-r--r--ipa-server/ipa-install/Makefile.am1
-rw-r--r--ipa-server/ipa-install/ipactl57
-rwxr-xr-xipa-server/ipa-server.spec6
-rw-r--r--ipa-server/ipa-server.spec.in6
4 files changed, 68 insertions, 2 deletions
diff --git a/ipa-server/ipa-install/Makefile.am b/ipa-server/ipa-install/Makefile.am
index ba1c8f49..f82cd25e 100644
--- a/ipa-server/ipa-install/Makefile.am
+++ b/ipa-server/ipa-install/Makefile.am
@@ -10,6 +10,7 @@ sbin_SCRIPTS = \
ipa-replica-prepare \
ipa-replica-manage \
ipa-server-certinstall \
+ ipactl \
$(NULL)
EXTRA_DIST = \
diff --git a/ipa-server/ipa-install/ipactl b/ipa-server/ipa-install/ipactl
new file mode 100644
index 00000000..aceda279
--- /dev/null
+++ b/ipa-server/ipa-install/ipactl
@@ -0,0 +1,57 @@
+#!/bin/sh
+#
+# Copyright (C) 2008 Red Hat
+# see file 'COPYING' for use and warranty information
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; version 2 only
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+#
+#
+# IPA control to start/stop the various services required for IPA in the
+# proper order
+#
+
+function start() {
+ /sbin/service ntpd start
+ /sbin/service dirsrv start
+ /sbin/service krb5kdc start
+ /sbin/service httpd start
+ /sbin/service ipa_kpasswd start
+ /sbin/service ipa_webgui start
+}
+
+function stop() {
+ /sbin/service ipa_webgui stop
+ /sbin/service ipa_kpasswd stop
+ /sbin/service httpd stop
+ /sbin/service krb5kdc stop
+ /sbin/service dirsrv stop
+ /sbin/service ntpd stop
+}
+
+case "$1" in
+restart)
+ stop
+ start
+ ;;
+start)
+ start
+ ;;
+stop)
+ stop
+ ;;
+*)
+ echo "Usage: ipactl {start|stop|restart}"
+ exit 1
+ ;;
+esac
diff --git a/ipa-server/ipa-server.spec b/ipa-server/ipa-server.spec
index bdbe56ae..4c7d6176 100755
--- a/ipa-server/ipa-server.spec
+++ b/ipa-server/ipa-server.spec
@@ -1,6 +1,6 @@
Name: ipa-server
Version: 0.99.0
-Release: 2%{?dist}
+Release: 3%{?dist}
Summary: IPA authentication server
Group: System Environment/Base
@@ -112,6 +112,7 @@ fi
%{_sbindir}/ipa-replica-prepare
%{_sbindir}/ipa-replica-manage
%{_sbindir}/ipa-server-certinstall
+%{_sbindir}/ipactl
%{_sbindir}/ipa_kpasswd
%{_sbindir}/ipa_webgui
%attr(755,root,root) %{_initrddir}/ipa_kpasswd
@@ -151,6 +152,9 @@ fi
%attr(700,apache,apache) %dir %{_localstatedir}/cache/ipa/sessions
%changelog
+* Thu Feb 26 2008 Rob Crittenden <rcritten@redhat.com> - 0.99.0-3
+- Add ipactl command
+
* Thu Feb 21 2008 Rob Crittenden <rcritten@redhat.com> - 0.99.0-2
- package new file ipa-rewrite.conf
diff --git a/ipa-server/ipa-server.spec.in b/ipa-server/ipa-server.spec.in
index e41fa550..326f3779 100644
--- a/ipa-server/ipa-server.spec.in
+++ b/ipa-server/ipa-server.spec.in
@@ -1,6 +1,6 @@
Name: ipa-server
Version: VERSION
-Release: 2%{?dist}
+Release: 3%{?dist}
Summary: IPA authentication server
Group: System Environment/Base
@@ -112,6 +112,7 @@ fi
%{_sbindir}/ipa-replica-prepare
%{_sbindir}/ipa-replica-manage
%{_sbindir}/ipa-server-certinstall
+%{_sbindir}/ipactl
%{_sbindir}/ipa_kpasswd
%{_sbindir}/ipa_webgui
%attr(755,root,root) %{_initrddir}/ipa_kpasswd
@@ -151,6 +152,9 @@ fi
%attr(700,apache,apache) %dir %{_localstatedir}/cache/ipa/sessions
%changelog
+* Thu Feb 26 2008 Rob Crittenden <rcritten@redhat.com> - 0.99.0-3
+- Add ipactl command
+
* Thu Feb 21 2008 Rob Crittenden <rcritten@redhat.com> - 0.99.0-2
- package new file ipa-rewrite.conf